Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.batchext
Interface TransferNamesAndCommands

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  FtpFileTransferNamesAndCommands, FtpFileTransferNamesAndCommandsGet, FtpFileTransferNamesAndCommandsPut, LocalFileTransferNamesAndCommandsGet, LocalFileTransferNamesAndCommandsPut, TransferNamesAndCommandsBase

    public interface TransferNamesAndCommands

extends java.io.Serializable

This class is used to access the resolved transfer names and transfer commands for Batch Ftp.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2008/02/25 16:56:24 $
Author:
  Harry Liu

Method Summary
`boolean` | `getAppend()` Checks on whether the outbound transfer is "Append" mode.
`java.lang.String` | `getPostDirectoryName()` Gets the resolved post directory name.
`java.lang.String` | `getPostFileName()` Gets the resolved post file name.
`java.lang.String` | `getPostTransferCommand()` Gets Post Transfer Command.
`java.lang.String` | `getPreDirectoryName()` Gets the resolved pre directory name.
`java.lang.String` | `getPreFileName()` Gets the resolved pre file name.
`java.lang.String` | `getPreTransferCommand()` Gets the Pre Transfer Command.
`java.lang.String` | `getTargetDirectoryName()` Gets the resolved target directory name.
`java.lang.String` | `getTargetFileName()` Gets the resolved target file name.
`void` | `resolvePostTransfer()` Resolves Post Transfer Names and Command.
`void` | `resolvePreTransfer()` Resolve Pre Transfer Names and Command.
`void` | `resolveTargetLocation()` Resolve Target Location Names.

Method Detail

### getTargetDirectoryName

    java.lang.String getTargetDirectoryName()
                                            throws BatchException

  Gets the resolved target directory name. This name is resolved from 'Target Directory Name' pattern. It represents the original working directory name right before the 'Pre Transfer Command'.

  Returns:
    The resolved Target Directory Name.
  Throws:
    `BatchException` - If some error occurs.

### getTargetFileName

    java.lang.String getTargetFileName()
                                       throws BatchException

  Gets the resolved target file name. This name is resolved from 'Target File Name' pattern. It represents the original working file name right before the 'Pre Transfer Command'.

  Returns:
    The resolved Target File Name.
  Throws:
    `BatchException` - If some error occurs.

### getPreTransferCommand

    java.lang.String getPreTransferCommand()
                                           throws BatchException

  Gets the Pre Transfer Command.

  Returns:
    The Pre Transfer Command.
  Throws:
    `BatchException` - If some error occurs.

### getPreDirectoryName

    java.lang.String getPreDirectoryName()
                                         throws BatchException

  Gets the resolved pre directory name. This name is resolved from 'Pre Directory Name' pattern. It represents the working directory name right after the 'Pre Transfer Command'.

  Returns:
    The resolved Pre Directory Name.
  Throws:
    `BatchException` - If some error occurs.

### getPreFileName

    java.lang.String getPreFileName()
                                    throws BatchException

  Gets the resolved pre file name. This name is resolved from 'Pre File Name' pattern. It represents the working file name right after the 'Pre Transfer Command'.

  Returns:
    The resolved Pre File Name.
  Throws:
    `BatchException` - If some error occurs.

### getPostTransferCommand

    java.lang.String getPostTransferCommand()
                                            throws BatchException

  Gets Post Transfer Command.

  Returns:
    The Post Transfer Command.
  Throws:
    `BatchException` - If some error occurs.

### getPostDirectoryName

    java.lang.String getPostDirectoryName()
                                          throws BatchException

  Gets the resolved post directory name. This name is resolved from 'Post Directory Name' pattern. It represents the working directory name right after the 'Post Transfer Command'.

  Returns:
    The resolved Post Directory Name.
  Throws:
    `BatchException` - If some error occurs.

### getPostFileName

    java.lang.String getPostFileName()
                                     throws BatchException

  Gets the resolved post file name. This is resolved from 'Post File Name' pattern. It represents the working file name right after the 'Post Transfer Command'.

  Returns:
    The resolved Post File Name.
  Throws:
    `BatchException` - If some error occurs.

### getAppend

    boolean getAppend()

  Checks on whether the outbound transfer is "Append" mode.

  Returns:
    true or false.

### resolvePostTransfer

    void resolvePostTransfer()
                             throws BatchException

  Resolves Post Transfer Names and Command. The implementation of this method must perform the resolution ONLY once.

  Throws:
    `BatchException` - If some error occurs.

### resolvePreTransfer

    void resolvePreTransfer()
                            throws BatchException

  Resolve Pre Transfer Names and Command. The implementation of this method must perform the resolution ONLY once.

  Throws:
    `BatchException` - If some error occurs.

### resolveTargetLocation

    void resolveTargetLocation()
                               throws BatchException

  Resolve Target Location Names. The implementation of this method must perform the resolution ONLY once.

  Throws:
    `BatchException` - If some error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD